#
# spec file for package python-pycountry
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define real_name pycountry

Name:           python-pycountry
Version:        1.20
Release:        3.1
Summary:        Databases for ISO standards 639 3166 3166-2 4217 15924
License:        LGPL-2.1
Group:          Development/Libraries/Python
Url:            https://pypi.python.org/pypi/pycountry/
Source:         https://pypi.io/packages/source/p/%{real_name}/%{real_name}-%{version}.tar.gz
BuildRequires:  python-setuptools
Requires:       python
Requires:       python-lxml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
pycountry provides the ISO databases for the standards 639 (Languages),
3166 (Countries), 3166-2 (Subdivisions of countries), 4217 (Currencies),
15924 (Scripts). The databases are imported from Debian's pkg-isocodes,
packaged into pycountry and made accessible through a Python API.
Translation files for the various strings are included as well.

%prep
%setup -q -n %{real_name}-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Wed Oct  5 2016 mailaender@opensuse.org
- update to version 1.20
* Wed Oct  8 2008 Ciaran Farrell <cfarrell1980@googlemail.com>
- Initial import and build of version 0.10
